//
//  ShowroomRepository.swift
//  Showroom
//
//  Created by Holger Hinzberg on 15.11.15.
//  Copyright © 2015 Holger Hinzberg. All rights reserved.
//

import Foundation

class ShowroomRepository
{
    private var cars:[ShowroomCar]
    
    init()
    {
        self.cars = [ShowroomCar]()
        addSampleData()
    }
    
    func itemsCount() -> Int
    {
        return cars.count
    }
    
    func itemAtIndex(index:Int) -> ShowroomCar
    {
        return cars[index]
    }
    
    // Eine Methode, um Beispieldaten an das
    // Array anzuhängen
    private func addSampleData()
    {
        var car = ShowroomCar()
        car.make = "Dodge"
        car.model = "Viper"
        car.constructionYear = 2003
        car.picture = "viper2003"
        cars.append(car)
        
        car = ShowroomCar()
        car.make = "Pontiac"
        car.model = "Firebird"
        car.constructionYear = 2002
        car.picture = "firebird2002"
        cars.append(car)
        
        car = ShowroomCar()
        car.make = "Chevrolet"
        car.model = "Camaro"
        car.constructionYear = 2010
        car.picture = "camaro2010"
        cars.append(car)
        
        car = ShowroomCar()
        car.make = "Chevrolet"
        car.model = "Corvette"
        car.constructionYear = 1958
        car.picture = "corvette1958"
        cars.append(car)
        
        car = ShowroomCar()
        car.make = "DeLorean"
        car.model = "DMC-12"
        car.constructionYear = 1981
        car.picture = "dmc1981"
        cars.append(car)
    }
}


